> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dfns.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Service Accounts

> List all Service Accounts in your organization.



## OpenAPI

````yaml /openapi.yaml get /auth/service-accounts
openapi: 3.1.0
info:
  version: 1.807.0
  title: Dfns
servers:
  - url: https://api.dfns.io
    description: Default - Europe
  - url: https://api.uae.dfns.io
    description: UAE
  - url: https://api.dfns.ninja
    description: <Deprecated> Staging
security: []
paths:
  /auth/service-accounts:
    get:
      tags:
        - Auth
      summary: List Service Accounts
      description: List all Service Accounts in your organization.
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        userInfo:
                          type: object
                          properties:
                            username:
                              type: string
                            name:
                              type: string
                            userId:
                              type: string
                              minLength: 1
                              maxLength: 64
                              pattern: ^us-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
                              description: User id.
                              example: us-6b58p-r53sr-rlrd3l5cj3uc4ome
                            kind:
                              type: string
                              enum:
                                - CustomerEmployee
                                - EndUser
                              description: User kind.
                            credentialUuid:
                              type: string
                            orgId:
                              type: string
                            permissions:
                              type: array
                              items:
                                type: string
                            isActive:
                              type: boolean
                            isServiceAccount:
                              type: boolean
                            isRegistered:
                              type: boolean
                            permissionAssignments:
                              type: array
                              items:
                                type: object
                                properties:
                                  permissionName:
                                    type: string
                                  permissionId:
                                    type: string
                                  assignmentId:
                                    type: string
                                  operations:
                                    type: array
                                    items:
                                      type: string
                                required:
                                  - permissionName
                                  - permissionId
                                  - assignmentId
                          required:
                            - username
                            - name
                            - userId
                            - kind
                            - credentialUuid
                            - orgId
                            - isActive
                            - isServiceAccount
                            - isRegistered
                            - permissionAssignments
                        accessTokens:
                          type: array
                          items:
                            $ref: '#/components/schemas/PersonalAccessToken'
                      required:
                        - userInfo
                        - accessTokens
                required:
                  - items
      security:
        - authenticationToken: []
components:
  schemas:
    PersonalAccessToken:
      type: object
      properties:
        accessToken:
          type: string
        dateCreated:
          type: string
        credId:
          type: string
        isActive:
          type: boolean
        kind:
          type: string
          enum:
            - Pat
            - ServiceAccount
            - Token
            - Code
            - Recovery
            - Temp
            - Application
          description: Access token kind.
        linkedUserId:
          type: string
        linkedAppId:
          type: string
        name:
          type: string
        orgId:
          type: string
        permissionAssignments:
          type: array
          items:
            type: object
            properties:
              permissionName:
                type: string
              permissionId:
                type: string
              assignmentId:
                type: string
              operations:
                type: array
                items:
                  type: string
            required:
              - permissionName
              - permissionId
              - assignmentId
        publicKey:
          type: string
        tokenId:
          type: string
      required:
        - dateCreated
        - credId
        - isActive
        - kind
        - linkedUserId
        - linkedAppId
        - name
        - orgId
        - permissionAssignments
        - publicKey
        - tokenId
  securitySchemes:
    authenticationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        **Bearer Token:** Used to authenticate API requests.

        More details how to generate the token: [Authentication
        flows](https://docs.dfns.co/api-reference/auth/login-flows)

````